Package be.fgov.ehealth.genericinsurability.core.v1

# Class InsurabilityRequestDetailType

java.lang.Object
be.fgov.ehealth.genericinsurability.core.v1.InsurabilityRequestDetailType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:35+02:00", comments="JAXB RI v4.0.5") public class InsurabilityRequestDetailType extends Object implements Serializable

Java class for InsurabilityRequestDetailType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InsurabilityRequestDetailType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="InsurabilityRequestType" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}InsurabilityRequestTypeType"/>
             <element name="Period" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}PeriodType"/>
             <element name="InsurabilityContactType" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}InsurabilityContactTypeType"/>
             <element name="InsurabilityReference" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}InsurabilityReferenceType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InsurabilityRequestDetailType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InsurabilityContactTypeType`
  `getInsurabilityContactType()`
  Indication if the request is for ambulatory care or in a day clinic.
  `String`
  `getInsurabilityReference()`
  Optional reference with the insurablity request detail.
  `InsurabilityRequestTypeType`
  `getInsurabilityRequestType()`
  Indication if the request is informational or intended for invoicing.
  `PeriodType`
  `getPeriod()`
  The period for which the insurability is requested.
  `void`
  `setInsurabilityContactType(InsurabilityContactTypeType value)`
  Sets the value of the insurabilityContactType property.
  `void`
  `setInsurabilityReference(String value)`
  Sets the value of the insurabilityReference property.
  `void`
  `setInsurabilityRequestType(InsurabilityRequestTypeType value)`
  Sets the value of the insurabilityRequestType property.
  `void`
  `setPeriod(PeriodType value)`
  Sets the value of the period property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InsurabilityRequestDetailType

    public InsurabilityRequestDetailType()

- ## Method Details

  - ### getInsurabilityRequestType

    public InsurabilityRequestTypeType getInsurabilityRequestType()
    Indication if the request is informational or intended for invoicing. Only informational is supported for the moment. This is zone 303 in the flat file version.
    Returns:
      possible object is `InsurabilityRequestTypeType`

  - ### setInsurabilityRequestType

    public void setInsurabilityRequestType(InsurabilityRequestTypeType value)
    Sets the value of the insurabilityRequestType property.
    Parameters:
      `value` - allowed object is `InsurabilityRequestTypeType`
    See Also:
      - `getInsurabilityRequestType()`

  - ### getPeriod

    public PeriodType getPeriod()
    The period for which the insurability is requested. The end date is required!
    Returns:
      possible object is `PeriodType`

  - ### setPeriod

    public void setPeriod(PeriodType value)
    Sets the value of the period property.
    Parameters:
      `value` - allowed object is `PeriodType`
    See Also:
      - `getPeriod()`

  - ### getInsurabilityContactType

    public InsurabilityContactTypeType getInsurabilityContactType()
    Indication if the request is for ambulatory care or in a day clinic. This is zone 306 in the flat file version.
    Returns:
      possible object is `InsurabilityContactTypeType`

  - ### setInsurabilityContactType

    public void setInsurabilityContactType(InsurabilityContactTypeType value)
    Sets the value of the insurabilityContactType property.
    Parameters:
      `value` - allowed object is `InsurabilityContactTypeType`
    See Also:
      - `getInsurabilityContactType()`

  - ### getInsurabilityReference

    public String getInsurabilityReference()
    Optional reference with the insurablity request detail. Will be returned in the responce, but is not used by the system. This is zone 307 in the flat file version.
    Returns:
      possible object is `String`

  - ### setInsurabilityReference

    public void setInsurabilityReference(String value)
    Sets the value of the insurabilityReference property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getInsurabilityReference()`